unit uUsuarios;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, Unit1, ImgList, IWImageList, Menus, IWHTMLControls, IWCompLabel,
  IWVCLBaseContainer, IWContainer, IWHTMLContainer, IWHTML40Container, IWRegion,
  IWVCLBaseControl, IWBaseControl, IWBaseHTMLControl, IWControl, IWCompMenu, DB,
  IWGrids, IWDBGrids, IWDBStdCtrls, IWCompEdit, IWCompListbox;

type
  TfrmUsuarios = class(TfrmBase)
    IWDBGrid1: TIWDBGrid;
    dsUsuarios: TDataSource;
    IWDBNavigator1: TIWDBNavigator;
    IWDBEdit1: TIWDBEdit;
    IWLabel3: TIWLabel;
    IWDBEdit2: TIWDBEdit;
    IWLabel4: TIWLabel;
    IWLabel5: TIWLabel;
    IWDBEdit3: TIWDBEdit;
    IWLabel6: TIWLabel;
    IWDBComboBox1: TIWDBComboBox;
    procedure IWDBGrid1Columns0Click(ASender: TObject; const AValue: string);
    procedure IWAppFormCreate(Sender: TObject);
    procedure IWDBNavigator1Insert(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmUsuarios: TfrmUsuarios;

implementation

uses UserSessionUnit, ServerController;

{$R *.dfm}

procedure TfrmUsuarios.IWAppFormCreate(Sender: TObject);
begin
  inherited;
  if not UserSession.cdsUsuarios.Active then
    UserSession.cdsUsuarios.Open;
end;

procedure TfrmUsuarios.IWDBGrid1Columns0Click(ASender: TObject;
  const AValue: string);
begin
  inherited;
  UserSession.cdsUsuarios.Locate('CODUSU', AValue, []);
end;

procedure TfrmUsuarios.IWDBNavigator1Insert(Sender: TObject);
begin
  inherited;
  ActiveControl := IWDBEdit1;
end;

end.
