unit FShowIngredientes;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, Buttons, Grids, DBGrids, SimpleDS, DB, DBClient,
  uDBConfiguration;

type
  TfrmShowIngredientes = class(TForm)
    grdIngrediente: TDBGrid;
    lblBuscar: TLabel;
    edtBuscar: TEdit;
    btnSainr: TBitBtn;
    btnBuscar: TButton;
    SDSIngrediente: TSimpleDataSet;
    DsINgrediente: TDataSource;
    procedure btnSainrClick(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure btnBuscarClick(Sender: TObject);
    procedure grdIngredienteDblClick(Sender: TObject);
  private

  public
    procedure Execute;
  end;

var
  frmShowIngredientes: TfrmShowIngredientes;

implementation

uses FIngrediente;

{$R *.dfm}

procedure TfrmShowIngredientes.btnBuscarClick(Sender: TObject);
begin
  TDBConfig.GetInstance.SearchIngredientes(SDSIngrediente, edtBuscar.Text);
end;

procedure TfrmShowIngredientes.btnSainrClick(Sender: TObject);
begin
  Self.Close;
end;

procedure TfrmShowIngredientes.Execute;
begin
  Self.ShowModal;
end;

procedure TfrmShowIngredientes.FormShow(Sender: TObject);
begin
  TDBConfig.GetInstance.SearchIngredientes(SDSIngrediente, edtBuscar.Text);
end;

procedure TfrmShowIngredientes.grdIngredienteDblClick(Sender: TObject);
begin
  frmIngrediente := TfrmIngrediente.Create(nil);
  try
    frmIngrediente.ExecuteToAlter(SDSIngrediente.Fields.FieldByName('ID').AsInteger,
                                  SDSIngrediente.Fields.FieldByName('NOME').AsString,
                                  SDSIngrediente.Fields.FieldByName('Unidade').AsString,
                                  SDSIngrediente.Fields.FieldByName('Preco').AsFloat);
  finally
    frmIngrediente.Destroy;
    SDSIngrediente.Refresh;
  end;
end;

end.
