unit FShowResponsaveis;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, Grids, DBGrids, DB, DBClient, SimpleDS, uDBConfiguration;

type
  TfrmShowResponsaveis = class(TForm)
    grdReponsavel: TDBGrid;
    lblNome: TLabel;
    edtNome: TEdit;
    btnBuscar: TButton;
    btnSair: TButton;
    SDSResponsavel: TSimpleDataSet;
    DSResp: TDataSource;
    procedure btnSairClick(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure btnBuscarClick(Sender: TObject);
    procedure grdReponsavelDblClick(Sender: TObject);
  private

  public
    procedure Execute;
  end;

var
  frmShowResponsaveis: TfrmShowResponsaveis;

implementation

uses FResponsavel;

{$R *.dfm}

procedure TfrmShowResponsaveis.btnBuscarClick(Sender: TObject);
begin
  TDBConfig.GetInstance.SearchResp(SDSResponsavel, edtNome.Text);
end;

procedure TfrmShowResponsaveis.btnSairClick(Sender: TObject);
begin
  Self.Close;
end;

procedure TfrmShowResponsaveis.Execute;
begin
  Self.ShowModal;
end;

procedure TfrmShowResponsaveis.FormShow(Sender: TObject);
begin
  TDBConfig.GetInstance.SearchResp(SDSResponsavel, edtNome.Text);
end;

procedure TfrmShowResponsaveis.grdReponsavelDblClick(Sender: TObject);
begin
  frmResponsavel := TfrmResponsavel.Create(nil);
  try
    frmResponsavel.ExecuteToAlter(SDSResponsavel.Fields.FieldByName('ID').AsInteger,
                                  SDSResponsavel.Fields.FieldByName('NOME').AsString,
                                  SDSResponsavel.Fields.FieldByName('Telefone').AsString,
                                  SDSResponsavel.Fields.FieldByName('Email').AsString,
                                  SDSResponsavel.Fields.FieldByName('Login').AsString,
                                  SDSResponsavel.Fields.FieldByName('Senha').AsString,
                                  SDSResponsavel.Fields.FieldByName('IsUser').AsBoolean);
  finally
    frmResponsavel.Destroy;
    SDSResponsavel.Refresh;
  end;
end;

end.
